GRPC Core 0.10.0.0

- Main Page
- Data Structures
- Files

- File List
- Globals

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Macros Pages
Data Structures | Macros | Enumerations | Functions
stream_encoder.c File Reference
`#include "src/core/transport/chttp2/stream_encoder.h"`
`#include <assert.h>`
`#include <string.h>`
`#include <grpc/support/log.h>`
`#include <grpc/support/useful.h>`
`#include "src/core/transport/chttp2/bin_encoder.h"`
`#include "src/core/transport/chttp2/hpack_table.h"`
`#include "src/core/transport/chttp2/timeout_encoding.h"`
`#include "src/core/transport/chttp2/varint.h"`

## Data Structures
struct | framer_state

## Macros
#define | HASH_FRAGMENT_1(x) ((x)&255)
#define | HASH_FRAGMENT_2(x) ((x >> 8) & 255)
#define | HASH_FRAGMENT_3(x) ((x >> 16) & 255)
#define | HASH_FRAGMENT_4(x) ((x >> 24) & 255)
#define | ONE_ON_ADD_PROBABILITY 128
#define | MAX_DECODER_SPACE_USAGE 512
#define | STRLEN_LIT(x) (sizeof(x) - 1)
#define | TIMEOUT_KEY "grpc-timeout"

## Enumerations
enum | frame_type { HEADER, DATA, NONE }

## Functions
gpr_slice | grpc_chttp2_data_frame_create_empty_close (gpr_uint32 id)
void | grpc_chttp2_hpack_compressor_init (grpc_chttp2_hpack_compressor *c, grpc_mdctx *ctx)
void | grpc_chttp2_hpack_compressor_destroy (grpc_chttp2_hpack_compressor *c)
gpr_uint32 | grpc_chttp2_preencode (grpc_stream_op *inops, size_t *inops_count, gpr_uint32 max_flow_controlled_bytes, grpc_stream_op_buffer *outops)
void | grpc_chttp2_encode (grpc_stream_op *ops, size_t ops_count, int eof, gpr_uint32 stream_id, grpc_chttp2_hpack_compressor *compressor, gpr_slice_buffer *output)

## Macro Definition Documentation

#define HASH_FRAGMENT_1 | ( |  | x | ) | ((x)&255)

#define HASH_FRAGMENT_2 | ( |  | x | ) | ((x >> 8) & 255)

#define HASH_FRAGMENT_3 | ( |  | x | ) | ((x >> 16) & 255)

#define HASH_FRAGMENT_4 | ( |  | x | ) | ((x >> 24) & 255)

#define MAX_DECODER_SPACE_USAGE 512

#define ONE_ON_ADD_PROBABILITY 128

#define STRLEN_LIT | ( |  | x | ) | (sizeof(x) - 1)

#define TIMEOUT_KEY "grpc-timeout"

## Enumeration Type Documentation

enum frame_type

Enumerator
HEADER |
DATA |
NONE |

## Function Documentation

gpr_slice grpc_chttp2_data_frame_create_empty_close | ( | gpr_uint32 | id | ) |

void grpc_chttp2_encode | ( | grpc_stream_op * | ops,
|  | size_t | ops_count,
|  | int | eof,
|  | gpr_uint32 | stream_id,
|  | grpc_chttp2_hpack_compressor * | compressor,
|  | gpr_slice_buffer * | output
| ) |  |

void grpc_chttp2_hpack_compressor_destroy | ( | grpc_chttp2_hpack_compressor * | c | ) |

void grpc_chttp2_hpack_compressor_init | ( | grpc_chttp2_hpack_compressor * | c,
|  | grpc_mdctx * | ctx
| ) |  |

gpr_uint32 grpc_chttp2_preencode | ( | grpc_stream_op * | inops,
|  | size_t * | inops_count,
|  | gpr_uint32 | max_flow_controlled_bytes,
|  | grpc_stream_op_buffer * | outops
| ) |  |